function changeView(mode)
{
	if(mode=='drives'){
		if(widget.preferenceForKey("drives")=="advanced"){
			widget.setPreferenceForKey('simple','drives');
		} else {
			widget.setPreferenceForKey('advanced','drives');
		}		
		getDrives()
		
	} else if(mode=='cpu'){

		if(widget.preferenceForKey("cpu")=="advanced"){
			widget.setPreferenceForKey('simple','cpu');
		} else {
			widget.setPreferenceForKey('advanced','cpu');
		}	
		getCPU();	
	} else if(mode=='Mem'){
		if(widget.preferenceForKey("memory")=="advanced"){
			widget.setPreferenceForKey('simple','memory');
		} else {
			widget.setPreferenceForKey('advanced','memory');
		}
		getMem();
	} else if(mode=='interfaces'){
		if(widget.preferenceForKey("interfaces")=="advanced"){
			widget.setPreferenceForKey('simple','interfaces');
		} else {
			widget.setPreferenceForKey('advanced','interfaces');
		}
		getInterfaces();
	}
}

function closeSection(section)
{
	switch (section){
		case "cpu":
			clearInterval(cpuInterval);
			cpuInterval=null;
			document.getElementById("cpu").innerHTML='';
			document.getElementById("cpuHeader").style.display="none";
			widget.setPreferenceForKey("off","cpu");
		break;
		case "memory": 
			clearInterval(memInterval);
			memInterval=null;
			document.getElementById("memory").innerHTML='';
			document.getElementById("memoryHeader").style.display="none";
			widget.setPreferenceForKey("off","memory");
		break;
		case "drives": 
			clearInterval(drivesInterval);
			drivesInterval=null;
			widget.setPreferenceForKey("off","drives");
			document.getElementById("drives").innerHTML='';
			document.getElementById("drivesHeader").style.display="none";
		break;
		case "net": 
			clearInterval(netInterval);
			netInterval=null;
			widget.setPreferenceForKey("off","bandwidth");
			document.getElementById("net").innerHTML='';
			document.getElementById("netHeader").style.display="none";
		break;
		case "interfaces": 
			clearInterval(interfaceInterval);
			interfaceInterval=null;
			widget.setPreferenceForKey("off","interfaces");
			document.getElementById("interfaces").innerHTML='';
			document.getElementById("interfacesHeader").style.display="none";
		break;
		case "uptime": 
			clearInterval(uptimeInterval);
			uptimeInterval=null;
			widget.setPreferenceForKey("off","uptime");
			document.getElementById("uptime").innerHTML='';
			document.getElementById("uptimeHeader").style.display="none";		
		break;
		case "uptime": 
			clearInterval(batteryInterval);
			uptimeInterval=null;
			widget.setPreferenceForKey("off","battery");
			document.getElementById("battery").innerHTML='';
			document.getElementById("batteryHeader").style.display="none";		
		break;
	}
}
function changeVisable(element)
{
	switch (element){
		case "cpu":
			if(widget.preferenceForKey('cpuVisable')==true){
				clearInterval(cpuInterval);
				document.getElementById("cpu").innerHTML='';
				widget.setPreferenceForKey(false,'cpuVisable');
			} else {		
				widget.setPreferenceForKey(true,'cpuVisable');
				cpuInterval=setInterval("getCPU()",1000);
				getCPU();
			}
		break;
		case "memory": 
			if(widget.preferenceForKey('memoryVisable')==true){
				clearInterval(memInterval);
				document.getElementById("memory").innerHTML='';
				widget.setPreferenceForKey(false,'memoryVisable');
			} else {		
				widget.setPreferenceForKey(true,'memoryVisable');
				memInterval=setInterval("getMem()",2000);
				getMem()
			}			
		break;
		case "drives": 
			if(widget.preferenceForKey('drivesVisable')==true){
				clearInterval(drivesInterval);
				document.getElementById("drives").innerHTML='';			
				widget.setPreferenceForKey(false,'drivesVisable');
			} else {		
				widget.setPreferenceForKey(true,'drivesVisable');
				drivesInterval=setInterval("getDrives()",3000);
				getDrives()
			}
		break;
		case "net": 
			if(widget.preferenceForKey('netVisable')==true){
				clearInterval(netInterval);
				document.getElementById("net").innerHTML='';			
				widget.setPreferenceForKey(false,'netVisable');
			} else {
				widget.setPreferenceForKey(true,'netVisable');
				netInterval=setInterval("getNet()",1000);
				getNet()
			}
		break;
		case "interfaces": 
			if(widget.preferenceForKey('interfacesVisable')==true){
				clearInterval(interfaceInterval);
				document.getElementById("interfaces").innerHTML='';			
				widget.setPreferenceForKey(false,'interfacesVisable');
			} else {
				widget.setPreferenceForKey(true,'interfacesVisable');
				interfaceInterval=setInterval("getInterfaces()",3000);
				getInterfaces()
			}
		break;
		case "uptime": 
			if(widget.preferenceForKey('uptimeVisable')==true){
				clearInterval(uptimeInterval);
				document.getElementById("uptime").innerHTML='';
				widget.setPreferenceForKey(false,'uptimeVisable');
			} else {
				widget.setPreferenceForKey(true,'uptimeVisable');
				uptimeInterval=setInterval("getUptime()",3000);
				getUptime()
			}			
		break;
		case "battery": 
			if(widget.preferenceForKey('batteryVisable')==true){
				clearInterval(batteryInterval);
				document.getElementById("battery").innerHTML='';
				widget.setPreferenceForKey(false,'batteryVisable');
			} else {
				widget.setPreferenceForKey(true,'batteryVisable');
				batteryInterval=setInterval("getBattery()",3000);
				getBattery()
			}			
		break;
	}
}